Skip to main content
POST
/
invitation
/
candidate
/
create
Create candidate by proxy for invitation
curl --request POST \
  --url https://api-stage.karmacheck.io/invitation/candidate/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "caseInvitationId": "e1f27fde-8ec3-4fa2-abfe-43b7c9f43084",
  "email": "john.lee@example.com",
  "password": "Password!1",
  "givenName": "John",
  "middleName": "Michael",
  "familyName": "Lee",
  "dob": "1980-09-19",
  "phone": "800-555-0142",
  "govtId": "111-11-1111"
}
'
{
  "caseId": "af51d69f-996a-4891-a745-aadfcdec225a",
  "candidateId": "10f4deb6-fd4e-4907-a47e-355caf6e449d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
caseInvitationId
string
required
email
string
required

The candidate's email address.

password
string
required

The password for the candidate's account. The supplied password must be at least eight characters long and must contain a lowercase letter, an uppercase letter, a number, and a special character.

givenName
string
middleName
string
familyName
string
dob
string<date>

The candidate's birthdate in the format YYYY-MM-DD.

phone
string
govtId
string

Response

OK

caseId
string
candidateId
string